Agent-readable docs index: /docs/llms.txt. Full docs in one file: /docs/llms-full.txt. Download /docs/docs.zip to grep all markdown files locally.

Get one memory

/v1/memories/{id}GET
Authorization
bearer *Bearer <token>
API key of the form kaibo_<id>.<secret>. Scopes: read, write, read_write, forget, admin.
Response
200 · Success
id *string
Min length: 1Max length: 128
projectId *string
Min length: 1Max length: 128
type *"fact" | "decision" | "task" | "preference" | "procedure" | "episode"
content *string
Min length: 1Max length: 20000
validFrom *string (date-time)
validTo *string (date-time) | null
recordedAt *string (date-time)
supersedes *string | null
supersededBy *string | null
sourceEventIds *string[]
Min items: 1
confidence *number
Min: 0Max: 1
salience *number
Min: 0Max: 1
strength *number
Min: 0Max: 1
scope *"org" | "project" | "agent" | "user" | "session"
visibility *"private" | "project" | "org"
status *"active" | "superseded" | "canceled" | "tombstoned"
version *integer
Min: 1Max: 9007199254740991
400 · Invalid request
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
401 · Missing, malformed, revoked or expired key
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
403 · The key lacks the required scope
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
429 · Rate limited. See Retry-After
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "internal"
message *string
requestId *string
details?object
Request example
curl -X GET "/v1/memories/<id>" \ -H "Authorization: Bearer <token>"